org.hibernate.search.metadata.impl

## Class PropertyDescriptorImpl

- java.lang.Object
- - org.hibernate.search.metadata.impl.PropertyDescriptorImpl

- All Implemented Interfaces:
    FieldContributor, PropertyDescriptor

      public class PropertyDescriptorImpl
      extends Object
      implements PropertyDescriptor

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyDescriptorImpl(String name, boolean id, Set<FieldDescriptor> fieldDescriptors)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Set<FieldDescriptor>` | `getIndexedFields()`
    `String` | `getName()` Name of the property.
    `int` | `hashCode()`
    `boolean` | `isId()` Returns `true` if the property is the document id, `false` otherwise
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyDescriptorImpl

          public PropertyDescriptorImpl(String name,
                                        boolean id,
                                        Set<FieldDescriptor> fieldDescriptors)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `PropertyDescriptor`
      Name of the property.
      Specified by:
        `getName` in interface `PropertyDescriptor`
      Returns:
        name of the property

    - #### isId

          public boolean isId()

      Description copied from interface: `PropertyDescriptor`
      Returns `true` if the property is the document id, `false` otherwise
      Specified by:
        `isId` in interface `PropertyDescriptor`
      Returns:
        `true` if the property is the document id, `false` otherwise
      See Also:
        `DocumentId`

    - #### getIndexedFields

          public Set<FieldDescriptor> getIndexedFields()

      Specified by:
        `getIndexedFields` in interface `FieldContributor`
      Returns:
        a set of `FieldDescriptor`s for the fields contributed by this element

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved